Bug 1023203 - save command return value is non-zero on success
save command return value is non-zero on success
Status: VERIFIED
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
William Gomeringer
:
Depends On:
Blocks: 1016295
  Show dependency treegraph
 
Reported: 2013-10-24 17:15 EDT by Brian Brock
Modified: 2016-07-05 14:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1032701 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backend.py patch to return success/failure of save command (556 bytes, patch)
2013-10-25 08:04 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Brian Brock 2013-10-24 17:15:38 EDT
Description of problem:
info test has error in output, and `hwcert-backend save` will then fail.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install hwcert-client
2. run "plan"
3. run "run -t info"
4. observe

Actual results:
Your sosreport has been generated and saved in:
/var/tmp/sosreport-dell-pr7610-01.lab.bos.redhat.com-20131024170901.tar.xz
Copied sosreport --batch -n selinux /var/tmp/sosreport-dell-pr7610-01.lab.bos.redhat.com-20131024170901.tar.xz to /var/log/hwcert/runs/2/info
PASS
copying attachments...
checking directory /var/log/hwcert/runs/2/info
Skipping output.log
Adding /var/log/hwcert/runs/2/info/sosreport-dell-pr7610-01.lab.bos.redhat.com-20131024170901.tar.xz
copied attachment file sosreport-dell-pr7610-01.lab.bos.redhat.com-20131024170901.tar.xz
saveOutput: /var/log/hwcert/runs/2/info/output.log
Warning: could not merge output XML, reading as text file.
not well-formed (invalid token): line 348, column 15
Return value was 1


----
`hwcert-backend save` will subsequently fail:

$ hwc save
Saving current results to:
/var/hwcert/store/bbrock/Precision/Precision R7610/x86_64/RHEL/7/hwcert-results-dell-pr7610-01.lab.bos.redhat.com.xml.gz

Results stored on dell-pr7610-01.lab.bos.redhat.com,
 saving to hwcert.bos.devel.redhat.com:
There are no results files stored on this system.

$ echo $?
1


Expected results:
successful save

Additional info:
Comment 2 Brian Brock 2013-10-24 17:17:40 EDT
Possibly related to bug 1022749 and bug 1022752 on ppc64.

This bug is on a different system, x86_64.
Comment 5 Greg Nichols 2013-10-25 08:04:19 EDT
Created attachment 816126 [details]
backend.py patch to return success/failure of save command

Note You need to log in before you can comment on or make changes to this bug.